# lazyClass

fun lazyClass (name: String , initialize: Boolean = false, loader: ClassLoaderInitializer? = null): LazyClass.NonNull < Any >

Create a non-null instance of Class.

#### Return

LazyClass.NonNull

#### Parameters

name

the fully qualified class name.

initialize

whether to initialize the class with loader, default is false.

loader

the ClassLoader to load the class, default is ClassLoaderProvider.classLoader.

#### See also

lazyClassOrNull

@ JvmName (name = "lazyClassTyped")
fun < T : Any > lazyClass (name: String , initialize: Boolean = false, loader: ClassLoaderInitializer? = null): LazyClass.NonNull < T >

Create a non-null instance of Class.

#### Return

LazyClass.NonNull<T>

#### See also

lazyClass
lazyClassOrNull

fun lazyClass (variousClass: VariousClass , initialize: Boolean = false, loader: ClassLoaderInitializer? = null): LazyClass.NonNull < Any >

Create a non-null instance of VariousClass.

#### Return

LazyClass.NonNull

#### Parameters

variousClass

the VariousClass to be loaded.

initialize

whether to initialize the class with loader, default is false.

loader

the ClassLoader to load the class, default is ClassLoaderProvider.classLoader.

#### See also

lazyClassOrNull

@ JvmName (name = "lazyClassTyped")
fun < T : Any > lazyClass (variousClass: VariousClass , initialize: Boolean = false, loader: ClassLoaderInitializer? = null): LazyClass.NonNull < T >

Create a non-null instance of VariousClass.

#### Return

LazyClass.NonNull<T>

#### See also

lazyClass
lazyClassOrNull